API
Acceldata Data Observability Cloud
Get Started
Assets
Asset Schema References
Data Reliability Schema References
Pipelines
Authentication
Authorization
Title
Message
Create new category
What is the title of your new category?
Edit page index title
What is the title of the page index?
Edit category
What is the new title of your category?
Edit link
What is the new title and URL of your link?
Manage Reconciliation Policy by Name
Summarize Page
Copy Markdown
Open in ChatGPT
Open in Claude
Connect to Cursor
Connect to VS Code
Use these endpoints to manage an existing Reconciliation policy using its name instead of the numeric ID.
Endpoints
GET /catalog-server/api/rules/reconciliation/byName/:name (retrieve policy by name)PUT /catalog-server/api/rules/reconciliation/byName/:name (update policy) DELETE /catalog-server/api/rules/reconciliation/byName/:name (archive policy) POST /catalog-server/api/rules/reconciliation/byName/:name/unarchive (unarchive policy)PUT /catalog-server/api/rules/reconciliation/byName/:name/schedule (Toggle schedule)GET /catalog-server/api/rules/reconciliation/byName/:name/executions (List executions) POST /catalog-server/api/rules/reconciliation/byName/:name/executions (Trigger manual execution)Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| name | string | Yes | Unique name of the Reconciliation Policy. |
Sample Request
Update Reconciliation Policy by Name
Bash
curl -X PUT "https://{HOST}/catalog-server/api/rules/reconciliation/byName/Sales_Recon_Policy" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $TOKEN" \ -H "accessKey: $ACCESS_KEY" \ -H "secretKey: $SECRET_KEY" \ -d '{ "description": "Reconciliation policy to ensure sales data matches between source and target tables", "status": "ACTIVE", "scheduled": true, "schedule": "0 3 * * *", "source": { "connectionName": "sales_source", "database": "sales_db", "table": "transactions" }, "target": { "connectionName": "sales_target", "database": "sales_warehouse", "table": "transactions" }, "joinConditions": [ { "sourceColumn": "transaction_id", "targetColumn": "transaction_id" } ], "matchRules": [ { "sourceColumn": "amount", "targetColumn": "amount", "tolerance": 0 }, { "sourceColumn": "currency", "targetColumn": "currency" } ], "thresholds": { "maxMismatchPercentage": 5 }, "tags": ["finance", "critical"] }'Type to search, ESC to discard
Type to search, ESC to discard
Type to search, ESC to discard
Last updated on
Was this page helpful?
Next to read:
Policy Executions and ResultsFor additional help, contact www.acceldata.force.com OR call our service desk +1 844 9433282
Copyright © 2025
Discard Changes
Do you want to discard your current changes and overwrite with the template?
Archive Synced Block
Message
Create new Template
What is this template's title?
Delete Template
Message